cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/notifications" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/notifications", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/notifications",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"hasDiscordWebhook": false,
"discordWebhookUrl": null,
"events": {
"order.created": {
"email": true,
"discord": false
},
"order.completed": {
"email": true,
"discord": false
},
"order.pending": {
"email": true,
"discord": false
},
"order.undeliverable": {
"email": true,
"discord": false
},
"inventory.out_of_stock": {
"email": true,
"discord": false
},
"inventory.low_stock": {
"email": true,
"discord": false
},
"review.added": {
"email": true,
"discord": false
},
"ticket.created": {
"email": true,
"discord": false
},
"ticket.response_added": {
"email": true,
"discord": false
}
}
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}List notifications
Recent store notifications.
Scope: notification:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
notifications
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/notifications" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/notifications", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/notifications",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"hasDiscordWebhook": false,
"discordWebhookUrl": null,
"events": {
"order.created": {
"email": true,
"discord": false
},
"order.completed": {
"email": true,
"discord": false
},
"order.pending": {
"email": true,
"discord": false
},
"order.undeliverable": {
"email": true,
"discord": false
},
"inventory.out_of_stock": {
"email": true,
"discord": false
},
"inventory.low_stock": {
"email": true,
"discord": false
},
"review.added": {
"email": true,
"discord": false
},
"ticket.created": {
"email": true,
"discord": false
},
"ticket.response_added": {
"email": true,
"discord": false
}
}
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}
